<div class="modal-header">
  <h3 class="modal-title">
    <span ng-show="!csModalCtrl.is3DM">Submit targets to Wiki</span>
    <span ng-show="csModalCtrl.is3DM">Evaluate cart items with 3DM</span>
    <button type="button" class="btn btn-default" style="float:right;" ng-mousedown="csModalCtrl.close()">
      <i class="fa fa-2x fa-times"></i>
    </button>
    <div style="clear:right;"></div>
  </h3>
</div>
<div class="modal-body">
  <p ng-show="!csModalCtrl.is3DM">The following <b>{{csModalCtrl.submissionData.length}}</b>
    targets will be submitted to the wiki and marked as selected by <b>{{csModalCtrl.username}}</b>:<br>
    (Cart items with absent datasets have been omitted)</p>
  <p ng-show="csModalCtrl.is3DM">The following <b>{{csModalCtrl.submissionData.length}}</b> items will
     be sent to 3DM for further evaluation:<br>(Cart items with absent datasets have been omitted)</p>
  <i ng-show="csModalCtrl.loading" class="fa fa-spinner fa-pulse"></i>
  <table ng-show="!csModalCtrl.loading" class="table table-striped table-bordered">
    <tr>
      <th>{{csModalCtrl.getColumnLabel('geneid')}}</th>
      <th>{{csModalCtrl.getColumnLabel('salltitles')}}</th>
      <th ng-if="!csModalCtrl.is3DM">Target list check</th>
      <th ng-if="!csModalCtrl.is3DM">Submit</th>
      <th ng-if="csModalCtrl.is3DM">3DM link(s)</th>
    </tr>
    <tr ng-repeat="gene in csModalCtrl.targetData">
      <td class="id-column" ng-class="{'grey-out': !gene._submit}">{{gene['geneid']}}</td>
      <td ng-class="{'grey-out': !gene._submit}">{{gene['salltitles']}}</td>
      <td ng-if="!csModalCtrl.is3DM">
        <target-db-indicator ng-if="!csModalCtrl.is3DM" amino="gene['amino']" ng-if="csModalCtrl.mode === 'viral'"></target-db-indicator>
      </td>
      <td ng-if="!csModalCtrl.is3DM"><input type="checkbox" ng-model="gene._submit" class="target-submission-checkbox"
                 ng-change="csModalCtrl.updateSubmissionData()" ng-disabled="csModalCtrl.submitting"></td>
      <td ng-if="csModalCtrl.is3DM">
        <div ng-show="gene.hasOwnProperty('tdmReferences')" class="tdm-link-list">
          <ul>
            <li ng-repeat="tdmRef in gene.tdmReferences">
              <div>{{tdmRef.system}}</div>
              <ul>
                <li><a href="https://3dmjs.bio-prodict.nl/#!/system-{{tdmRef.system}}/alignment-1/subset-1/numberingscheme--1/custom-proteins" target="_blank" rel="noopener noreferrer">System <i class="fa fa-external-link"></i></a></li>
                <li><a href="https://3dmjs.bio-prodict.nl/#!/system-{{tdmRef.system}}/alignment-1/subset-1/numberingscheme--1/customprotein-{{tdmRef.protein}}/info" target="_blank" rel="noopener noreferrer">Protein <i class="fa fa-external-link"></i></a></li>
              </ul>
            </li>
          </ul>
        </div>
        <div ng-show="!gene.hasOwnProperty('tdmReferences')">Will be generated</div>
      </td>
    </tr>
  </table>
  <div class="modal-footer" style="text-align:center">
    <div class="col-sm-12" style="margin-bottom: 10px"
         ng-show="csModalCtrl.submissionCompleted && csModalCtrl.submissionSuccessful">
      <div class="alert alert-success" role="alert" ng-if="!csModalCtrl.is3DM">
        <i class="fa fa-check-circle"></i>
        Target submission successful. Visit
        <a href="https://virus-x.mpibpc.mpg.de/targetlist.php" target="_blank" rel="noopener noreferrer">https://virus-x.mpibpc.mpg.de/targetlist.php <i class="fa fa-external-link"></i></a>
        to view the wiki target list.
      </div>
      <div class="alert alert-success" role="alert" ng-if="csModalCtrl.is3DM">
        <i class="fa fa-check-circle"></i>
        3DM submission successful. Results are displayed above. <i class="fa fa-arrow-up"></i>
      </div>
    </div>
    <div class="col-sm-12"
         ng-show="csModalCtrl.submissionCompleted && csModalCtrl.submissionSuccessful">
      <button type="button" class="btn btn-default btn-block"
              ng-click="csModalCtrl.close()" style="font-size:1.2em">
        Close
      </button>
    </div>
    <div class="col-sm-12" style="margin-bottom: 10px"
         ng-show="csModalCtrl.submissionCompleted && !csModalCtrl.submissionSuccessful">
      <div class="alert alert-danger" role="alert">
        <i class="fa fa-times-circle"></i>
        Submission failed. Please supply the information below to the administrator if the problem persists.
        <div style="font-size:0.8em;text-align:left; margin-left: 140px; margin-right: 120px">
          Error details:<br>
          Status: {{csModalCtrl.submissionErrorData.status}}<br>
          Response: {{csModalCtrl.submissionErrorData.data}}
        </div>
      </div>
    </div>
    <div class="col-sm-4" ng-hide="csModalCtrl.submissionCompleted && csModalCtrl.submissionSuccessful">
      <button type="button" class="btn btn-default btn-block"
              ng-click="csModalCtrl.close()" style="font-size:1.2em">
        <i class="fa fa-times"></i> Cancel
      </button>
    </div>
    <div class="col-sm-8" ng-hide="csModalCtrl.submissionCompleted && csModalCtrl.submissionSuccessful"
         ng-class="{'stale-content': (csModalCtrl.loading || csModalCtrl.submitting || !csModalCtrl.enabled)}">
      <button ng-if="!csModalCtrl.is3DM" type="button" class="btn btn-default btn-block btn-warning"
              ng-click="csModalCtrl.submitToWiki()"
              style="font-size:1.2em;color:#000 !important; text-shadow: none !important">
        <i class="fa fa-paper-plane-o"></i> Yes, submit these {{csModalCtrl.submissionData.length}} targets to the Wiki
      </button>
      <button ng-if="csModalCtrl.is3DM" type="button" class="btn btn-default btn-block btn-warning"
              ng-click="csModalCtrl.submitTo3DM()"
              style="font-size:1.2em;color:#000 !important; text-shadow: none !important">
        <i class="fa fa-cogs"></i> Send {{csModalCtrl.submissionData.length}} items to 3DM
      </button>
      <div ng-if="!csModalCtrl.enabled">(disabled temporarily)</div>
    </div>
    <div class="col-sm-12">
      <i ng-show="csModalCtrl.submitting && !csModalCtrl.submissionCompleted" class="fa fa-spinner fa-pulse"></i>
    </div>
  </div>
</div>